package com.yunfeiyun.agmp.fms.domain;

import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 决策对象 FmsPolicy
 * 
 * @author 杨晓辉
 * @date 2023-06-05
 */
public class FmsPolicy extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 决策标识 */
    private String decisionId;

    /** 决策类型 */
    @Excel(name = "决策类型")
    private String decisionType;

    /** 决策标题 */
    @Excel(name = "决策标题")
    private String decisionTitle;

    /** 决策内容 */
    @Excel(name = "决策内容")
    private String decisionContent;

    /** 决策发布人 */
    @Excel(name = "决策发布人")
    private String decisionCreator;

    /** 决策发布日期 */
    @Excel(name = "决策发布日期")
    private String decisionCreateddate;

    public void setDecisionId(String decisionId)
    {
        this.decisionId = decisionId;
    }

    public String getDecisionId()
    {
        return decisionId;
    }
    public void setDecisionType(String decisionType)
    {
        this.decisionType = decisionType;
    }

    public String getDecisionType()
    {
        return decisionType;
    }
    public void setDecisionTitle(String decisionTitle)
    {
        this.decisionTitle = decisionTitle;
    }

    public String getDecisionTitle()
    {
        return decisionTitle;
    }
    public void setDecisionContent(String decisionContent)
    {
        this.decisionContent = decisionContent;
    }

    public String getDecisionContent()
    {
        return decisionContent;
    }
    public void setDecisionCreator(String decisionCreator)
    {
        this.decisionCreator = decisionCreator;
    }

    public String getDecisionCreator()
    {
        return decisionCreator;
    }
    public void setDecisionCreateddate(String decisionCreateddate)
    {
        this.decisionCreateddate = decisionCreateddate;
    }

    public String getDecisionCreateddate()
    {
        return decisionCreateddate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("decisionId", getDecisionId())
            .append("decisionType", getDecisionType())
            .append("decisionTitle", getDecisionTitle())
            .append("decisionContent", getDecisionContent())
            .append("decisionCreator", getDecisionCreator())
            .append("decisionCreateddate", getDecisionCreateddate())
            .toString();
    }
}
